## org.apache.batik.util
Class ClassFileUtilities.ClassFile

    java.lang.Object
      org.apache.batik.util.ClassFileUtilities.ClassFile

Enclosing class:
  ClassFileUtilities

    protected static class ClassFileUtilities.ClassFile

extends java.lang.Object

Field Summary
`java.util.List` `deps`
`ClassFileUtilities.Jar` `jar`
`java.lang.String` `name`

Constructor Summary
`protected` `ClassFileUtilities.ClassFile()`

Method Summary
`java.io.InputStream` `getInputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### deps

    public java.util.List deps

### jar

    public ClassFileUtilities.Jar jar

Constructor Detail

### ClassFileUtilities.ClassFile

    protected ClassFileUtilities.ClassFile()

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.